package com.qmth.sop.common.util;

import java.io.Serializable;

/**
 * @Description: 自定义处理消息
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/10/11
 */
//@JsonInclude(JsonInclude.Include.NON_NULL)
public class Result implements Serializable {
    private int code;
    private String message;
    private Object data;

    public Result() {

    }

    public Result(int code) {
        this.code = code;
    }

    public Result(String message) {
        this.message = message;
    }

    public Result(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public Result(int code, String message, Object data) {
        this.code = code;
        this.message = message;
        this.data = data;
    }

    public Result(int code, Object data, String message) {
        this.code = code;
        this.data = data;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }
}
